# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify Alma, CentOS, CentOS Stream and Rocky Linux as rhel
%if "%{__distinit}" == "a" || "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "cs" || "%{__distinit}" == "rl"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

Name:		perl-Regexp-Parser
Version:	0.23
Release:	2.%{__distinit}%{__distvers}
Summary:	Base class for parsing regexes
License:	GPL-1.0-or-later OR Artistic-1.0-Perl
URL:		https://metacpan.org/release/Regexp-Parser
Source0:	https://cpan.metacpan.org/modules/by-module/Regexp/Regexp-Parser-%{version}.tar.gz
BuildArch:	noarch
# Module Build
BuildRequires:	coreutils
BuildRequires:	findutils
BuildRequires:	make
BuildRequires:	perl-generators
BuildRequires:	perl-interpreter
BuildRequires:	perl(ExtUtils::MakeMaker)
# Module Runtime
BuildRequires:	perl(base)
BuildRequires:	perl(Carp)
BuildRequires:	perl(charnames)
BuildRequires:	perl(constant)
BuildRequires:	perl(Exporter)
BuildRequires:	perl(NEXT)
BuildRequires:	perl(parent)
BuildRequires:	perl(re)
BuildRequires:	perl(strict)
BuildRequires:	perl(warnings)
# Test Suite
BuildRequires:	perl(Data::Dumper)
BuildRequires:	perl(Test)
BuildRequires:	perl(Test::More)
# Dependencies
%if 0%{?fedora} < 38 && 0%{?rhel} < 10
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
%endif
# Pseudo-packages used internally
Provides:	perl(Regexp::Parser::Diagnostics) = 0
Provides:	perl(Regexp::Parser::Handlers) = 0
Provides:	perl(Regexp::Parser::Objects) = 0

# Drop unversioned provide
%global __provides_exclude ^perl\\(Regexp::Parser\\)$

%description
This module parses regular expressions (regexes). Its default "grammar" is
Perl 5.8.4's regex set. Grammar is quoted because the module does not so much
define a grammar as let each matched node state what it expects to match next,
but there is not currently a way of extracting a complete grammar.

%prep
%setup -q -n Regexp-Parser-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -delete
%{_fixperms} -c %{buildroot}

%check
make test

%files
%doc Changes README
%{perl_vendorlib}/Perl6/
%{perl_vendorlib}/Regexp/
%{_mandir}/man3/Regexp::Parser.3*
%{_mandir}/man3/Regexp::Parser::Handlers.3*
%{_mandir}/man3/Regexp::Parser::Objects.3*

%changelog
* Thu Jul  6 2023 Paul Howarth <paul@city-fan.org> - 0.23-2
- Use SPDX-format license tag
- Drop support for building with rpm < 4.9

* Mon Jan 20 2020 Paul Howarth <paul@city-fan.org> - 0.23-1
- Update to 0.23
  - Switch to github actions for automated testing
  - Support POSIX character classes with visual method (GH#7)
- Switch upstream from search.cpan.org to metacpan.org

* Wed Sep 13 2017 Paul Howarth <paul@city-fan.org> - 0.22-1
- Update to 0.22
  - Address strict warnings in module
  - Fix POD error
  - Move tracker to GitHub: https://github.com/toddr/Regexp-Parser/issues
- BR: perl-generators unconditionally
- BR: perl-interpreter rather than perl
- Drop support for EOL distributions prior to F-13
  - Drop BuildRoot: and Group: tags
  - Drop explicit buildroot cleaning in %%install section
  - Drop explicit %%clean section

* Tue Jul 26 2016 Paul Howarth <paul@city-fan.org> - 0.21-5
- Fix FTBFS when perl is not in the minimal buildroot
- BR: perl-generators where available
- Simplify find command using -delete

* Fri Feb 26 2016 Paul Howarth <paul@city-fan.org> - 0.21-4
- Classify buildreqs by usage
- Drop %%defattr, redundant since rpm 4.4

* Tue Jun 12 2012 Paul Howarth <paul@city-fan.org> - 0.21-3
- BR: perl(base), perl(Carp), perl(constant) and perl(Exporter) for module
- BR: perl(Data::Dumper) for test suite
- Don't need to remove empty directories from the buildroot
- Drop support for old distributions prior to FC-3:
  - Don't need to define %%{perl_vendorlib}
  - Use DESTDIR rather than PERL_INSTALL_ROOT

* Wed Jul  6 2011 Paul Howarth <paul@city-fan.org> - 0.21-2
- Rebuild for perl 5.14.1 in Rawhide
- Fix dist tag for CentOS 6 and Scientific Linux

* Sun May 29 2011 Paul Howarth <paul@city-fan.org> - 0.21-1
- Update to 0.21:
  - Fix warning emissions in perl 5.10+ (Variable "$nest" is not available...)
    (CPAN RT#42096)
  - Fix test failures in perl 5.14 by converting t/02subclass.t to Test::More
    (CPAN RT#66848)
- This release by TODDR -> update source URL
- BR: perl(Test::More)
- Nobody else likes macros for commands

* Fri Mar 18 2011 Paul Howarth <paul@city-fan.org> - 0.20-1
- Initial RPM version
